選擇檔案接收對象
選擇符合資格的購買。所選訂單必須包含已付款且未退款的此商品。
PATCH
/api/v1/products/{product_id}/files/{file_id}/audiencecURL 請求
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/products/example/files/00000000-0000-4000-8000-000000000007/audience \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: 4e239a57-b0ef-576e-9aa1-683b3adeeb8c' \
--header 'Content-Type: application/json' \
--data-raw '{"audience":{"mode":"all_purchasers"},"expected_version":1}'
回應
{
"data": {
"deleted": false,
"id": "00000000-0000-4000-8000-000000000001",
"version": 2
},
"meta": {
"request_id": "example-request"
}
}